<?php
/**
 * Distributed Multi-media Database Controller for Distributed Multi-media Database Component
 * 
 * @package    Distributed Multi-media Database Component
 * @subpackage Components
 * @license		GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Dmmdb Controller
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class DmmdbsControllerDmmdb extends DmmdbsController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		parent::__construct();

		// Add is the same operation as edit
		$this->registerTask( 'add', 'edit' );
	}

	/**
	 * display the edit form
	 * @return void
	 */
	function edit()
	{
		JRequest::setVar( 'view', 'dmmdb' );
		JRequest::setVar( 'layout', 'form'  );
		JRequest::setVar('hidemainmenu', 1);

		parent::display();
	}

	/**
	 * save a record (and redirect to main page)
	 * @return void
	 */
	function save()
	{
		$model = $this->getModel('dmmdb');

		if ($model->store()) {
			$msg = JText::_( 'Distributed Multi-media Database Saved!' );
		} else {
			$msg = JText::_( 'Error Saving Distributed Multi-media Database' );
		}

		// Check the table in so it can be edited.... we are done with it anyway
		$link = 'index.php?option=com_dmmdb';
		$this->setRedirect($link, $msg);
	}

	/**
	 * remove record(s)
	 * @return void
	 */
	function remove()
	{
		$model = $this->getModel('dmmdb');
		if(!$model->delete()) {
			$msg = JText::_( 'Error: One or More Dmmdb(s) Could not be Deleted' );
		} else {
			$msg = JText::_( 'Dmmdb(s) Deleted' );
		}

		$this->setRedirect( 'index.php?option=com_dmmdb', $msg );
	}

	/**
	 * cancel editing a record
	 * @return void
	 */
	function cancel()
	{
		$msg = JText::_( 'Operation Cancelled' );
		$this->setRedirect( 'index.php?option=com_dmmdb', $msg );
	}
}
