<?php
/**
 * Distributed Multi-Media Database model ( administration side )
 * 
 * @package    Distributed Multi-Media Database Component
 * @subpackage Components
 * @license        GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');

/**
 * Hello Hello Model
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
class DmmdbsModelDmmdb extends JModel
{
    /**
     * Constructor that retrieves the ID from the request
     *
     * @access    public
     * @return    void
     */
    function __construct()
    {
        parent::__construct();

        $array = JRequest::getVar('cid',  0, '', 'array');
        $this->setId((int)$array[0]);
    }

    /**
     * Method to set the dmmdb identifier
     *
     * @access    public
     * @param    int dmmdb identifier
     * @return    void
     */
    function setId($id)
    {
        // Set id and wipe data
        $this->_id    = $id;
        $this->_data    = null;
    }

    /**
     * Method to get a dmmdb
     * @return object with data
     */
    function &getData()
    {
        // Load the data
        if (empty( $this->_data )) {
            $query = ' SELECT * FROM #__dmmdb '.
                    '  WHERE id = '.$this->_id;
            $this->_db->setQuery( $query );
            $this->_data = $this->_db->loadObject();
        }
        if (!$this->_data) {
            $this->_data = new stdClass();
            $this->_data->id = 0;
            $this->_data->url = 'http://giss.tv/dmmdbflv';
            $this->_data->channels = 'all';
            $this->_data->fullname = 'http://giss.tv/dmmdbflv::all';
            $this->_data->nbmaxchannels = 10;
            $this->_data->width = '400';
            $this->_data->nbitems = '6';
            $this->_data->modal = '1';
            $this->_data->comments = '1';
            $this->_data->search = '1';
            $this->_data->latest_videos = '1';
            $this->_data->most_viewed = '0';
            $this->_data->favorites = '0';
            $this->_data->categories = '0';
            $this->_data->same_author = '0';
            $this->_data->same_category = '0';
            $this->_data->same_keywords = '0';
            $this->_data->playlists = '0';
            $this->_data->friend_channels = '0';
            $this->_data->latest_on_friend_channels = '0';
            $this->_data->text_color = '000000';
            $this->_data->background_color = 'FFFFFF';
            $this->_data->tip_text_color = '000000';
            $this->_data->tip_bg_color = 'FF6600';
            $this->_data->link_color = '000000';
        }

        return $this->_data;
    }

    /**
     * Method to store a record
     *
     * @access    public
     * @return    boolean    True on success
     */
    function store()
    {    
        $row =& $this->getTable();

        $data = JRequest::get( 'post' );

        // Bind the form fields to the hello table
        if (!$row->bind($data)) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }

        // update the full name
        $row->fullname = $row->url."::".$row->channels;

        // Make sure the hello record is valid
        if (!$row->check()) {
            $this->setError($this->_db->getErrorMsg());
            return false;
        }

        // Store the web link table to the database
        if (!$row->store()) {
            $this->setError( $row->getErrorMsg() );
            return false;
        }

        return true;
    }

    /**
     * Method to delete record(s)
     *
     * @access    public
     * @return    boolean    True on success
     */
    function delete()
    {
        $cids = JRequest::getVar( 'cid', array(0), 'post', 'array' );

        $row =& $this->getTable();

        if (count( $cids )) {
            foreach($cids as $cid) {
                if (!$row->delete( $cid )) {
                    $this->setError( $row->getErrorMsg() );
                    return false;
                }
            }
        }
        return true;
    }

}
